<!DOCTYPE html>
<html lang="en">

<head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Serviceblick Account-Verwaltung">
    <meta name="author" content="www.serviceblick.com">

    <title>Serviceblick Rollen-Verwaltung</title>
    <!-- vendor css -->
    <link rel="stylesheet" href="/style-global/lib/fontawesome-free/css/all.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/ionicons/css/ionicons.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/typicons.font/typicons.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/lib/bootstrap-table/css/bootstrap-table.min.css?v=[cs_version]">
    {% include 'snippets/global-header-include.tpl' %} 
    <!-- global CSS -->
    <link rel="stylesheet" href="/style-global/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/style-global/css/serviceblick-global.css?v=[cs_version]">
    <link rel="stylesheet" href="css/dashboard-custom.css?v=[cs_version]">

</head>

<body id="page-top" class="az-body">
{% include 'snippets/pb-loader.tpl' %}
{% include 'snippets/guide/container-modal.tpl' %}
<div id="contentwrapper" style="display:none;" class="az-body">

    <div class="az-header">
        <div class="container">
            <div class="az-header-left"><a href="" id="azContentLeftShow" class="az-header-arrow d-block d-lg-none"><i class="icon ion-md-arrow-back"></i></a> 
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
                <a href="index.html"><span class="nav-link text-dark tx-20" data-i18n="account management">Kontoverwaltung</span></a>
            </div><!-- az-header-left -->
            <div class="az-header-menu">
                <div class="az-header-menu-header">
                  <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/style-global/img/icons/account.png" alt="Account-Verwaltung"></a>
                  <a href="" class="close">&times;</a>
                </div><!-- az-header-menu-header -->
                <!-- <ul class="nav">
                    <li class="nav-item">
                        <a href="#" class="nav-link  with-sub"><i
                                class="typcn typcn-edit tx-20"></i>Placeholder nav-link</a>
                        <nav class="az-menu-sub">
                            <a href="#" class="nav-link">Placeholder nav-link
                            </a>
                        </nav>
                    </li>
                </ul> -->
            </div><!-- az-header-menu -->

            <div class="az-header-right">
                <div data-permission="dashboard" class="az-header-notification mg-l-10 hidden" data-hint="Start a tour at anytime from the help menu." data-hint-position="middle-top">
                <a href="#" data-toggle="modal" data-target="#modal_help" id="help">
                    <i class="icon ion-ios-help-circle-outline" data-toggle="tooltip" title="" data-original-title="Hilfe"></i></a>
            </div>
                {% include 'snippets/header-apps-menu.tpl' %}
                {% include 'snippets/header-profile-menu.tpl' %}
            </div><!-- az-header-right -->
        </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content az-content-mail">
        <div class="container">
            <div class="az-content-left az-content-left-mail  az-content-left-components">
                <div class="az-content-header">
                    <!-- use if there is main menu that needs to be displayed in mobile view <a href="" id="azMenuShow" class="az-header-menu-icon"><span></span>-->
                    <a href="" id="azContentLeftHide" class="az-header-arrow">
                        <i class="icon ion-md-arrow-forward d-sm-none"></i>
                        <i class="icon ion-md-close d-none d-sm-block"></i>
                    </a>
                </div><!-- az-content-header -->
                {% include 'snippets/content-left-account-nav.tpl' %}
            </div><!-- az-content-left -->
    
            <div class="az-content-body az-content-body-mail pd-l-40 pd-r-40">
                <div class="az-content-breadcrumb">
                    <span>Dashboard</span>
                    <span>Kontoverwaltung</span>
                    <span>Rollen</span>
    
                </div>
                <div class="d-flex justify-content-between ">
                    <h2 class="az-content-title" data-i18n="Manage roles or create new roles">Rollen verwalten oder neue Rollen erstellen</h2>
    
                </div>

    
                <div id="create-role-wrapper" data-permission="dashboard.management.rolemanagement.role.add" class="row mg-b-20 hidden">
                  <div class="col">
                    <div class="az-content-label tx-13 mg-b-5" data-i18n="Create new role">Neue Rolle erstellen</div>
                    <p class="mg-b-20" data-i18n="Each role needs a unique name and description. Permission setting becomes possible after saving and the role is displayed in the role list below.">Jeder Rolle braucht ein eindeutige Name und Beschreibung. Die Einstellung von Berechtigungen wird nach dem Speichern möglich wenn die Rolle in der Rollenliste unten angezeigt wird.
                    </p>
                        <div class="wd-sm-250">
                        <!-- <form> -->
                          <div class="d-md-flex">
                            <div class="form-group mg-b-0">
                                <label for="newrolename" class="form-label">Name: <span class="tx-danger">*</span></label>
                                <div class="input-group mb-3 wd-md-250 wd-xl-300">
                                    <div class="input-group-prepend">
                                      <span class="input-group-text" id="basic-addon1">role.</span>
                                    </div>
                                    <input id="newrolename" name="newrolename" type="text" class="form-control" placeholder="name_eingeben" required>
                                     <span role="alert" id="newrolenameError"  class="error" aria-hidden="true" data-i18n="*Please enter a unique and valid role name (A-Z,0-9,_).*">
                                *Bitte einen eindeutigen und gültigen Rollennamen (A-Z,0-9,_) eingeben.*
                                    </span>
                                    <p id="role-error-msg"></p>
                                </div><!-- input-group -->
                            </div><!-- form-group -->
                            <div class="form-group mg-b-0 mg-md-l-20 mg-t-20 mg-md-t-0">
                              <label for="newroledescription" class="form-label" data-i18n="Description:">Beschreibung: <span class="tx-danger">*</span></label>
                              <textarea id="newroledescription" name="newroledescription" rows="3" class="form-control wd-md-250 wd-xl-300" placeholder="Beschreibung eingeben" required></textarea>
                              <span role="alert" id="newroledescriptionError" class="error" aria-hidden="true" data-i18n="*Please enter a description.*">
                                *Bitte eine Beschreibung eingeben.*
                            </span>
                            </div><!-- form-group -->
                        <!-- </form> -->
                            
                            <div class=" form-group mg-sm-l-10 mg-t-10 mg-sm-t-25">
                                <button id="createRoleButton" class="btn btn-az-primary text-nowrap pd-x-20" data-i18n="Create new role">Neue Rolle erstellen</button>
                            </div>
                          </div><!-- d-flex -->
                          
                        
                        </div>
                  </div><!-- col -->
                </div><!-- row -->
    
                <hr class="mg-y-20">
    
                <div id="manage-role-wrapper" class="row mg-b-20">
                    <div class="col">
                        <div class="az-content-label tx-13 mg-b-5" data-i18n="CURRENT ROLLS">AKTUELL ROLLEN                        </div>
                        <p class="mg-b-20" data-i18n="Here you can manage all existing roles. Click the Edit button to change the role permissions and role details.">Hier können Sie alle vorhandenen Rollen verwalten. Klicken Sie auf die Schaltfläche Bearbeiten, um die Rechtevergabe des Roles sowie die Rolendetails zu ändern.
                        </p>
    
                        <div class="mg-b-20" id="bootstraptablecontainer">
                            <table class="table az-table-reference mg-0" id="bootstraptable">
                                <thead>
                                    <tr>
                                        <th data-field="rolename" class="wd-80p force-wrap" data-i18n="role">Rolle</th>
                                        <th data-field="options"  class="btn-icon-list" data-i18n="options">Optionen</th>
                                    </tr>
                                    <tr>
                                        <td colspan="2" data-i18n="Loading roles...">Rollen werden geladen...</td>
                                    </tr>
                        </thead>
                    </table>
                </div>
    
                    </div><!-- col -->
                </div><!-- row -->
    
            </div><!-- az-content-body -->
        </div><!-- container -->
    </div><!-- az-content -->

    {% include 'snippets/footer.tpl' %}
    <!-- az-footer -->
    
    </div><!--contentwrapper-->
    {% include 'snippets/global-script-include.tpl' %} 
    <script src="/style-global/lib/bootstrap-table/js/bootstrap-table.min.js?v=[cs_version]"></script>

    <script defer type="module">
        import { pbBrain } from '../csf-lib/pb-brain.js?v=[cs_version]';
        import { CONFIG } from '../pb-config.js?v=[cs_version]';
        document.API_BASE_URL = CONFIG.API_BASE_URL
        new pbBrain().boot("role-managment-circuit");

    </script>


</body>

</html>